# $Revision: 1.102.2.6 $, $Date: 2007/10/22 10:00:29 $
#
# TODO:
# - update documentation to follow changes introduced in Patch0
#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	GNOME2 configuration database system
Summary(pl):	System konfiguracyjnej bazy danych dla GNOME 2
Summary(pt_BR):	Sistema de Configurao do GNOME 2
Summary(ru):	  GNOME 2
Name:		GConf2
Version:	2.14.0
Release:	6
License:	LGPL
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/gnome/sources/GConf/2.14/GConf-%{version}.tar.bz2
# Source0-md5:	d07c2efcaf477cf34225c604a04b6271
Source1:	%{name}-merge-tree.xinit
Patch0:		%{name}-NO_MAJOR_VERSION.patch
Patch1:		%{name}-path.patch
Patch2:		%{name}-reload.patch
URL:		http://www.gnome.org/
BuildRequires:	ORBit2-devel >= 1:2.13.2
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.7
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.10.2
BuildRequires:	gtk+2-devel >= 2:2.8.3
BuildRequires:	gtk-doc >= 1.4-2
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.21
BuildRequires:	openldap-devel
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	rpmbuild(macros) >= 1.197
Requires:	ORBit2 >= 1:2.14.0
Requires:	glib2 >= 1:2.10.2
Obsoletes:	libGConf2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GConf2 is a configuration database system, functionally similar to the
Windows registry but lots better. :-) It's being written for the
GNOME2 desktop but does not require GNOME2; configure should notice if
GNOME2 is not installed and compile the basic GConf2 library anyway.

%description -l pl
GConf2 jest systemem konfiguracyjnej bazy danych, funkcjonalnie
podobnej do rejestru Windows, ale o wiele lepszej :-). Jest pisana dla
desktopu GNOME2, ale nie wymaga GNOME2; skrypt configure powinien
wykry brak GNOME2 i skompilowa tylko wersj podstawow GConf2.

%description -l pt_BR
Gconf2  o sistema de banco de dados de configurao do GNOME2.

%package devel
Summary:	GConf2 includes, etc
Summary(pl):	Pliki nagwkowe GConf2
Summary(pt_BR):	Sistema de Configurao do GNOME2 - arquivos para desenvolvimento
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ORBit2-devel >= 1:2.14.0
Requires:	gtk-doc-common
Requires:	libxml2-devel >= 1:2.6.21
Obsoletes:	libGConf2-devel

%description devel
GConf2 includes etc.

%description devel -l pl
Pliki nagwkowe GConf2.

%description devel -l pt_BR
Sistema de Configurao do GNOME2 - arquivos para desenvolvimento.

%package static
Summary:	GConf2 static libraries
Summary(pl):	Biblioteki statyczne GConf2
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com gconf2
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
GConf2 static libraries.

%description static -l pl
Biblioteki statyczne GConf2.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com gconf

%package backend-evoldap
Summary:	Evolution Data Sources LDAP backend for GConf
Summary(pl):	Backend LDAP rde danych Evolution dla GConfa
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description backend-evoldap
This is a special-purpose backend for GConf which enables default mail
accounts, addressbooks and calendars for Evolution to be configured
using each user's LDAP entry. By setting each user's mail address,
incoming/outgoing mail server addresses and addressbook/calendar
addresses in the user's LDAP entry, Evolution will be automatically
configured to use these addresses.

%description backend-evoldap -l pl
To jest backend GConfa specjalnego przeznaczenia, pozwalajcy na
konfigurowanie domylnych kont pocztowych, ksiek adresowych i
kalendarzy dla Evolution przy uyciu wpisu LDAP dla kadego
uytkownika. Poprzez ustawienie kademu uytkownikowi adres pocztowy,
adresy serwerw poczty przychodzcej/wychodzcej oraz adresy ksiki
adresowej i kalendarza w jego wpisie LDAP, Evolution zostanie
automatycznie skonfigurowane do uywania tych adresw.

%prep
%setup -q -n GConf-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__glib_gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static} \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}{/gconf/schemas,/X11/xinit/xinitrc.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/xinitrc.d/GConf2-merge-tree

rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no

%find_lang %{name}

# no *.{la,a} for modules - shut up check-files
rm -f $RPM_BUILD_ROOT%{_libdir}/GConf2/lib*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/gconf*
%attr(755,root,root) %{_libdir}/gconf-sanity-check-2
%attr(755,root,root) %{_libdir}/gconfd-2
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_libdir}/GConf2
%attr(755,root,root) %{_libdir}/GConf2/libgconfbackend-oldxml.so
%attr(755,root,root) %{_libdir}/GConf2/libgconfbackend-xml.so
%dir %{_sysconfdir}/gconf
%dir %{_sysconfdir}/gconf/2
%{_sysconfdir}/gconf/gconf.xml.*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gconf/path
%dir %{_sysconfdir}/gconf/schemas
%attr(755,root,root) %{_sysconfdir}/X11/xinit/xinitrc.d/*
%dir %{_datadir}/GConf
%dir %{_datadir}/GConf/schema
%{_datadir}/sgml/gconf
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%doc ChangeLog TODO
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/gconf2
%{_aclocaldir}/*.m4
%{_pkgconfigdir}/*.pc
%{_gtkdocdir}/gconf

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%files backend-evoldap
%defattr(644,root,root,755)
%doc backends/README.evoldap
%attr(755,root,root) %{_libdir}/GConf2/libgconfbackend-evoldap.so
%{_datadir}/GConf/schema/evoldap.schema
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gconf/2/evoldap.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: GConf2.spec,v $
Revision 1.102.2.6  2007/10/22 10:00:29  glen
- rel 6

Revision 1.102.2.5  2006/08/15 21:44:28  havner
- reload patch from HEAD
- rel 5

Revision 1.102.2.4  2006/05/19 22:45:04  baggins
- release 4
- strict glib2 req (/usr/bin/gconftool-2: symbol lookup error:
	/usr/lib/libgconf-2.so.4: undefined symbol: g_slice_alloc)

Revision 1.102.2.3  2006/05/18 19:51:51  baggins
- release 3
- strict reqs

Revision 1.102.2.2  2006/05/12 18:22:01  baggins
- rel 2
- BR glib2-devel >= 2.9.0

Revision 1.102.2.1  2006/05/12 18:17:12  baggins
- merged from HEAD

Revision 1.106  2006/04/02 14:27:02  freetz
- TODO added

Revision 1.105  2006/04/02 12:11:54  qboosh
- separated evoldap backend (as -backend-evoldap)
- dropped old ppc/gtk-doc hack and removal of non-existing acinclude.m4

Revision 1.104  2006/04/02 09:35:03  qboosh
- BR: openldap-devel (for evoldap module)

Revision 1.103  2006/03/31 20:41:08  freetz
- merged from DEVEL

Revision 1.100.2.2  2006/03/18 22:27:37  freetz
- 2.14.0

Revision 1.100.2.1  2006/01/18 18:03:36  freetz
- 2.13.5

Revision 1.102  2006/01/23 15:08:55  qboosh
- current policy is not to R: pkgconfig just because package has pkgconfig support

Revision 1.101  2006/01/19 17:54:13  qboosh
- current policy is not to R: automake just because package has aclocal support

Revision 1.100  2006/01/17 14:26:24  baggins
- rel 3
- rebuild with openldap 2.3

Revision 1.99  2005/12/30 13:03:05  glen
- R: automake for -devel

Revision 1.98  2005/12/30 13:00:49  glen
- R: pkgconfig for -devel

Revision 1.97  2005/12/22 15:19:17  pluto
- release 3 for rebuild with new ldap.

Revision 1.96  2005/12/21 11:52:16  patrys
- merge user settings for faster startup
- script based on Debian

Revision 1.95  2005/11/06 10:51:14  freetz
- 2.12.1

Revision 1.94  2005/09/07 12:04:03  paladine
- BR: gtk-doc >= 1.4-2
- rel. 2

Revision 1.93  2005/09/06 10:05:11  aflinta
- merged from DEVEL, 2.12.0

Revision 1.91.2.5  2005/08/22 17:18:53  aflinta
- version 2.11.92

Revision 1.91.2.4  2005/08/17 21:12:34  aflinta
- rebuild with new cairo, rel.2

Revision 1.91.2.3  2005/07/26 15:25:29  freetz
- 2.11.90, shutdown fix already in sources

Revision 1.91.2.2  2005/07/06 17:51:15  wiget
- added small TODO

Revision 1.91.2.1  2005/07/03 14:53:13  freetz
- 2.11.1

Revision 1.91  2005/06/17 21:10:45  twittner
- cosmetics

Revision 1.90  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.89  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.88  2005/06/14 19:33:48  witekfl
- renamed static_libs -> static

Revision 1.87  2005/06/14 14:26:41  qboosh
- reverted breakage

Revision 1.86  2005/06/14 14:14:06  witekfl
- fixed with static libs

Revision 1.85  2005/06/13 19:38:22  witekfl
- added bcond_without static_libs

Revision 1.84  2005/06/13 16:39:34  freetz
- rel.5 for rebuild with corrected shutdown patch

Revision 1.83  2005/06/09 15:04:37  witekfl
- added shutdown patch
- rel 4 STBR

Revision 1.82  2005/05/10 23:08:02  pluto
- release 3 for Th.

Revision 1.81  2005/04/16 11:41:14  paladine
- bumped BRs/Rs

Revision 1.80  2005/04/12 19:23:20  freetz
- reversed ldconfig changes

Revision 1.79  2005/04/10 15:42:12  freetz
- new style macros, rel.2

Revision 1.78  2005/03/07 21:44:12  paladine
- merged from DEVEL

Revision 1.77.2.3  2005/03/07 17:31:58  wiget
- updated to 2.10.0
